import React from "react";
import { SvgCss } from "react-native-svg";

const Leaf = ({ green = false }) => {
  const xml = !green
    ? `
    <svg width="24" height="24" viewBox="0 0 24 24" fill="none" xmlns="http://www.w3.org/2000/svg">
      <path d="M3.03482 4.32281C3.22928 3.90783 3.78489 3.89123 4.01755 4.28298C5.09404 6.07238 7.02131 7.18786 9.22291 7.18786L12.001 7.18786C15.6819 7.18786 18.6683 10.0429 18.6683 13.562C18.6683 13.7944 18.6405 14.0168 18.6162 14.2426C16.4007 12.7254 13.4351 11.7479 8.89999 11.7479C8.59441 11.7479 8.09539 11.9402 8.09539 11.9402C8.09539 11.9402 8.49383 12.0363 8.79942 12.0363C17.5294 12.0363 21.099 17.6156 21.9186 19.5378C22.1477 20.0789 21.8769 20.6964 21.3109 20.9188C20.7414 21.1446 20.0955 20.8823 19.8593 20.3445C19.8072 20.225 19.1336 18.7543 17.3626 17.3367C16.2375 18.7941 14.0984 20.1851 11.2891 19.8996C5.83717 19.5212 2 14.8468 2 9.12334C2 7.45677 2.37503 5.73044 3.03482 4.32281Z" fill="url(#paint0_radial)"/>
      <defs>
        <radialGradient id="paint0_radial" cx="0" cy="0" r="1" gradientUnits="userSpaceOnUse" gradientTransform="translate(4.26415 18.2847) rotate(15.3723) scale(12.9149 50.8407)">
          <stop stop-color="#7A8AFF"/>
          <stop offset="1" stop-color="#B16BF2"/>
        </radialGradient>
      </defs>
    </svg>
  `
    : `
    <svg width="24" height="24" viewBox="0 0 24 24" fill="#27AE60" xmlns="http://www.w3.org/2000/svg">
      <path d="M3.03482 4.32281C3.22928 3.90783 3.78489 3.89123 4.01755 4.28298C5.09404 6.07238 7.02131 7.18786 9.22291 7.18786L12.001 7.18786C15.6819 7.18786 18.6683 10.0429 18.6683 13.562C18.6683 13.7944 18.6405 14.0168 18.6162 14.2426C16.4007 12.7254 13.4351 11.7479 8.89999 11.7479C8.59441 11.7479 8.09539 11.9402 8.09539 11.9402C8.09539 11.9402 8.49383 12.0363 8.79942 12.0363C17.5294 12.0363 21.099 17.6156 21.9186 19.5378C22.1477 20.0789 21.8769 20.6964 21.3109 20.9188C20.7414 21.1446 20.0955 20.8823 19.8593 20.3445C19.8072 20.225 19.1336 18.7543 17.3626 17.3367C16.2375 18.7941 14.0984 20.1851 11.2891 19.8996C5.83717 19.5212 2 14.8468 2 9.12334C2 7.45677 2.37503 5.73044 3.03482 4.32281Z"/>
    </svg>
  `;

  return <SvgCss xml={xml} />;
};

export default Leaf;
